<?php
/**
 * @package     fonts
 * @subpackage  system
 *
 * @Creator     Majeed Mohammadian
 * @copyright   Copyright (C) 2013 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE
 */

defined('_JEXEC') or die('Restricted access');

$document = JFactory::getDocument();
$document -> addStyleSheet( JURI::root().'plugins/system/fonts/fonts.css' );
$plugin = JPluginHelper::getPlugin('system', 'fonts');
$params = new JRegistry($plugin->params);
if(JFactory::getApplication()->isSite() == true)
{
	$css = 'body, * {
				font-family: "'.$params->get('fontSite').'";
			}
			a:hover {
				text-decoration: none;
			}
			.site-title {
				font-family: "'.$params->get('fontTitlePage').'" !important;
				font-size: '.$params->get('fontSizeTitlePage').' !important;
			}
			.page-header>h2, .page-header>h2>a {
				font-family: "'.$params->get('fontTitleContent').'" !important;
				font-size: '.$params->get('fontSizeTitleContent').' !important;
			}
			.item-page>h4, .items-leading>div>p {
				font-family: "'.$params->get('fontTextContent').'" !important;
				font-size: '.$params->get('fontSizeTextContent').' !important;
				line-height: 27px !important;
			}
			.page-header {
				font-family: "'.$params->get('fontTitleModuleContent').'" !important;
				font-size: '.$params->get('fontSizeTitleModuleContent').' !important;
			}';
	if($params->get('fontSiteEnable') == true)
		$document -> addStyleDeclaration( $css );
}
if(JFactory::getApplication()->isAdmin() == true)
	if($params->get('fontAdminEnable') == true)
		$document -> addStyleDeclaration( 'body, td, th, input, select, button, * {font-family: "'.$params->get('fontAdmin').'" !important;}' );
?>